server:
  port: 9528

management:
  endpoint:
    shutdown:
      enabled: true
  endpoints:
    web:
      base-path: /actuator
      exposure:
        include: health,shutdown

spring:
  application:
    name: daemon-process
  jpa:
    show-sql: true
    hibernate:
      ddl-auto: update
    database: h2
  datasource:
    url: jdbc:h2:file:../../dist/.h2/daemon
    username: sa
    password: 123456
    driver-class-name: org.h2.Driver
  h2:
    console:
      path: /h2
      enabled: true

daemon:
  home: ../../dist
  center-url: http://192.168.77.23:8000
  init-file: 20ca9af01eae4fb2b824671b9be15a18_2022_11_29_60d01e3201254393b21c4ad536c59ca3.zip
  engine:
    #    pid-file: script-engine.pid
    #    jar-file: script-engine.ms.jar
    port: 6001
    ops-xms: 128M
    ops-xmx: 512M
    ops-perm-size: 128M
    encoding: UTF-8
